/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
define(["require", "exports", "../_.contribution", "../fillers/monaco-editor-core"], function (require, exports, __contribution_1, monaco_editor_core_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var languageId = 'hivesql';
    __contribution_1.registerLanguage({
        id: languageId,
        extensions: ['.hivesql'],
        aliases: ['HiveSQL'],
        loader: function () { return new Promise(function (resolve_1, reject_1) { require(['./hivesql'], resolve_1, reject_1); }); }
    });
    var defaults = new __contribution_1.LanguageServiceDefaultsImpl(languageId, __contribution_1.diagnosticDefault, __contribution_1.modeConfigurationDefault);
    monaco_editor_core_1.languages.onLanguage(languageId, function () {
        new Promise(function (resolve_2, reject_2) { require(['../setupLanguageMode'], resolve_2, reject_2); }).then(function (mode) { return mode.setupLanguageMode(defaults); });
    });
});
