define(["require", "exports", "./_.contribution", "./workerManager"], function (require, exports, __contribution_1, workerManager_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.LanguageService = void 0;
    var LanguageService = /** @class */ (function () {
        function LanguageService() {
            this.worker = new Map();
        }
        LanguageService.prototype.valid = function (language, sqlContent) {
            var clientWorker = this.getClientWorker(language);
            return clientWorker(sqlContent).then(function (worker) {
                return worker.valid(sqlContent);
            });
        };
        LanguageService.prototype.parserTreeToString = function (language, sqlContent) {
            var clientWorker = this.getClientWorker(language);
            return clientWorker(sqlContent).then(function (worker) {
                return worker.parserTreeToString(sqlContent);
            });
        };
        LanguageService.prototype.getClientWorker = function (language) {
            var existWorker = this.worker.get(language);
            if (!existWorker) {
                var client_1 = new workerManager_1.WorkerManager(this.getLanguageServiceDefault(language));
                var worker = function () {
                    var uris = [];
                    for (var _i = 0; _i < arguments.length; _i++) {
                        uris[_i] = arguments[_i];
                    }
                    return client_1.getLanguageServiceWorker.apply(client_1, uris);
                };
                this.worker.set(language, worker);
                return worker;
            }
            return existWorker;
        };
        LanguageService.prototype.getLanguageServiceDefault = function (languageId) {
            return new __contribution_1.LanguageServiceDefaultsImpl(languageId, __contribution_1.diagnosticDefault, __contribution_1.modeConfigurationDefault);
        };
        return LanguageService;
    }());
    exports.LanguageService = LanguageService;
});
