import { LanguageServiceDefaults } from './_.contribution';
import { Uri } from './fillers/monaco-editor-core';
export interface WorkerAccessor<T> {
    (first: Uri, ...more: Uri[]): Promise<T>;
}
export interface IWorker {
    doValidation(uri: string): Promise<any>;
    valid(code: string): Promise<any>;
    parserTreeToString(code: string): Promise<any>;
}
export declare class DiagnosticsAdapter<T extends IWorker> {
    private _languageId;
    private _worker;
    private _disposables;
    private _listener;
    constructor(_languageId: string, _worker: WorkerAccessor<T>, defaults: LanguageServiceDefaults);
    dispose(): void;
    private _doValidate;
}
