import { LanguageServiceDefaultsImpl, diagnosticDefault, modeConfigurationDefault } from './_.contribution';
import { WorkerManager } from './workerManager';
export class LanguageService {
    constructor() {
        this.worker = new Map();
    }
    valid(language, sqlContent) {
        const clientWorker = this.getClientWorker(language);
        return clientWorker(sqlContent).then((worker) => {
            return worker.valid(sqlContent);
        });
    }
    parserTreeToString(language, sqlContent) {
        const clientWorker = this.getClientWorker(language);
        return clientWorker(sqlContent).then((worker) => {
            return worker.parserTreeToString(sqlContent);
        });
    }
    getClientWorker(language) {
        let existWorker = this.worker.get(language);
        if (!existWorker) {
            const client = new WorkerManager(this.getLanguageServiceDefault(language));
            const worker = (...uris) => {
                return client.getLanguageServiceWorker(...uris);
            };
            this.worker.set(language, worker);
            return worker;
        }
        return existWorker;
    }
    getLanguageServiceDefault(languageId) {
        return new LanguageServiceDefaultsImpl(languageId, diagnosticDefault, modeConfigurationDefault);
    }
}
