/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
import { diagnosticDefault, LanguageServiceDefaultsImpl, modeConfigurationDefault, registerLanguage } from '../_.contribution';
import { languages } from '../fillers/monaco-editor-core';
const languageId = 'pgsql';
registerLanguage({
    id: languageId,
    extensions: [],
    aliases: ['PgSQL', 'pgsql'],
    loader: () => import('./pgsql')
});
const defaults = new LanguageServiceDefaultsImpl(languageId, diagnosticDefault, modeConfigurationDefault);
languages.onLanguage(languageId, () => {
    import('../setupLanguageMode').then((mode) => mode.setupLanguageMode(defaults));
});
